# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils depend.apache depend.php

DESCRIPTION="Mandriva Directory Server - Identity and network services management made easy !"
HOMEPAGE="http://mds.mandriva.org/"
SRC_URI="http://mds.mandriva.org/pub/mds/sources/${PV}/${P}.tar.gz"

LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86 ~x86-fbsd"
IUSE=""
DEPEND="sys-apps/lsb-release
	sys-devel/gettext"
RDEPEND=">=app-admin/mmc-agent-${PV}"
SLOT="0"

need_php_httpd

pkg_setup() {
	if ! PHPCHECKNODIE="yes" require_php_with_use ldap xmlrpc nls ; then
		eerror
		eerror "${PHP_PKG} needs to be re-installed with all of the following"
		eerror "USE flags enabled:"
		eerror
		eerror "ldap xmlrpc nls"
		eerror
		die "Re-install ${PHP_PKG}"
	fi
}

src_unpack() {
	unpack ${A}
	cd "${S}"
	epatch "${FILESDIR}"/${PN}-2.3.2-gentoo-2.patch
}

src_install() {

	emake DESTDIR="${D}" PREFIX=/usr HTTPDUSER=apache install
	insinto /etc/mmc
	doins confs/mmc.ini || die "ini install failed"

	insinto /etc/apache2/modules.d
	newins confs/apache/mmc.conf 90_mmc.conf
}
