# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit distutils

WOL_PV="0.7.1"

DESCRIPTION="Open Source Computer System Management and its Python plugins."
HOMEPAGE="http://pulse2.mandriva.org/"
SRC_URI="http://pulse2.mandriva.org/pub/pulse2/sources/${PV}/${P}.tar.gz
	mirror://sourceforge/ahh/wol-${WOL_PV}.tar.gz"

LICENSE="GPL-2"
# other keywords based on net-misc/wol
KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
IUSE=""

SLOT="0"

RDEPEND=">=dev-python/twisted-web-0.7.0
	>=app-admin/pulse2-common-1.2.0"

DEPEND=">=dev-python/setuptools-0.6_rc1"

src_configure() {
	cd ../wol-${WOL_PV}
	econf || die "configure failed"
}

src_compile() {
	cd ../wol-${WOL_PV}
	emake || die "make failed"
}

# from marienz's setuptools.eclass:
src_install() {
	"${python}" setup.py install --root="${D}" --no-compile "$@" || die "install failed"
	dosbin bin/* || die "bin install failed"
	newsbin ../wol-${WOL_PV}/src/wol pulse2-wol || die "sbin install failed"
	insinto etc/mmc/pulse2/launchers/keys
	doins -r conf/launchers/keys/* || die "key install failed"
	insinto etc/mmc/pulse2/launchers
	doins -r conf/launchers/*.ini || die "ini install failed"
	insinto usr/share/doc/${P}
	doins -r contrib || die "config sample install failed"
	dodoc Changelog

	newinitd "${FILESDIR}"/pulse2-launchers.initd pulse2-launchers
}
