# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit distutils

DESCRIPTION="Open Source Computer System Management and its Python plugins."
HOMEPAGE="http://pulse2.mandriva.org/"
SRC_URI="http://pulse2.mandriva.org/pub/pulse2/sources/${PV}/${P}.tar.gz"

LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="nls"

SLOT="0"

RDEPEND=">=dev-python/twisted-web-0.7.0
	>=app-admin/pulse2-common-1.2.0"

DEPEND=">=dev-python/setuptools-0.6_rc1"

src_prepare() {
	epatch "${FILESDIR}"/${PN}-1.2.0-python-1.patch
}

# from marienz's setuptools.eclass:
src_install() {
	"${python}" setup.py install --root="${D}" --no-compile "$@" || die "install failed"
	dosbin bin/* || die "bin install failed"
	insinto etc/mmc/pulse2/scheduler/keys
	doins -r conf/scheduler/keys/* || die "key install failed"
	insinto etc/mmc/pulse2/scheduler
	doins -r conf/scheduler/*.ini || die "ini install failed"
	insinto usr/share/doc/${P}
	doins -r contrib || die "config samples install failed"
	dodoc Changelog

	newinitd "${FILESDIR}"/pulse2-scheduler.initd pulse2-scheduler
}

